no version information available的解决办法

  最近在编译时,发现一个错误:

/usr/lib/libcrypto.so.1.0.0: no version information available (required by /usr/sbin

 

  上网搜索了一番,没找到解决办法。

  到/usr/lib下ll一下,有两个文件:

libcrypto.so

libcrypto.so.1.0.0

  正常。怎么大小一样?后者应该是个link才对。

  怎么办?直接把后者删除。然后错误消失。

 

  如果删除提示没有怎么办?那使用ln再产生一个链接就是。

 

相关推荐
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页